package com.example.demo.repositories;

import com.example.demo.models.Account;
import com.example.demo.models.Storage;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface StorageRepository extends JpaRepository<Storage, Long> {
    Optional<Storage> findByOwner(Account owner);
}
