package com.example.demo.services.impl;

import com.example.demo.models.Storage;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Slf4j
@Service
@RequiredArgsConstructor
@Transactional(readOnly = true)
public class AdminStorageServiceImpl {

    private final AdminAccountServiceImpl adminAccountService;

    public Storage findById(Long userId) {
        return adminAccountService.getById(userId).getStorage();
    }
}
